Description

The current implementation of the Version#wiki_page method evaluates project.wiki even when wiki_page_title is blank. This results

in an unnecessary SQL query to the `wikis` table, even when such a query is avoidable.

The method can be optimized to only evaluate project.wiki if wiki_page_title is present, reducing a redundant SQL query and

improving performance.

Current Implementation:

def wiki_page

  if project.wiki && !wiki_page_title.blank?

    @wiki_page ||= project.wiki.find_page(wiki_page_title)

  end

  @wiki_page

end

 Proposed Change:

def wiki_page

  @wiki_page ||= project.wiki&.find_page(wiki_page_title) if wiki_page_title.present?

end

Associated revisions

Revision 23450 - 2025-01-20 09:36 - Go MAEDA

Optimize `Version#wiki_page` method (#42121).

Avoid unnecessary evaluation of `project.wiki` when `wiki_page_title` is blank, reducing redundant SQL queries.

Patch by Go MAEDA (user:maeda).

History

#1 - 2025-01-19 06:18 - Go MAEDA

- Target version changed from Candidate for next major release to 6.1.0

Setting the target version to 6.1.0.

#2 - 2025-01-20 09:39 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch in r23450.
